<odoo>
    <record id="view_users_form_inherit" model="ir.ui.view">
        <field name="name">res.users.form.otp</field>
        <field name="model">res.users</field>
        <field name="inherit_id" ref="base.view_users_form"/>
        <field name="arch" type="xml">
            <xpath expr="//page[@name='references']" position="after">
                <page string="OTP Settings">
                    <group>
                        <group>
                            <field name="otp_enabled" widget="boolean_toggle"/>
                            <field name="skip_otp" widget="boolean_toggle"/>
                        </group>
                        <group>
                            <field name="otp_mobile_phone"/>
                            <field name="otp_code"/>
                            <button name="generate_otp" string="Generate OTP" type="object" class="oe_highlight"/>
                        </group>
                    </group>
                </page>
            </xpath>
        </field>
    </record>
</odoo>
